Bug 786093 - Review Request: python-windmill - A web application testing framework
Summary: Review Request: python-windmill - A web application testing framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 784657 785681 785719
Blocks: 786213
TreeView+ depends on / blocked
 
Reported: 2012-01-31 12:50 UTC by Karel Klíč
Modified: 2015-02-01 22:55 UTC (History)
7 users (show)

Fixed In Version: python-windmill-1.7-0.2.git4304ee7.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 03:12:21 UTC
Type: ---
jmoskovc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Karel Klíč 2012-01-31 12:50:05 UTC
Spec URL: http://kklic.fedorapeople.org/python-windmill.spec
SRPM URL: http://kklic.fedorapeople.org/python-windmill-1.7-0.1.git4304ee7.fc16.src.rpm
Description:
Windmill is an open Source AJAX Web UI Testing framework. It
implements cross browser testing, in-browser recording and playback,
and functionality for fast accurate debugging and test environment
integration.




rpmlint python-windmill-1.7-0.1.git4304ee7.fc17.noarch.rpm

python-windmill.noarch: W: no-manual-page-for-binary windmill
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

- can be solved later


rpmlint python-windmill-1.7-0.1.git4304ee7.fc17.src.rpm

python-windmill.src: W: invalid-url Source0: windmill-windmill-v1.5.0-beta-9-g4304ee7.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

- windmill has no URL to download from

Comment 1 Volker Fröhlich 2012-02-17 19:20:52 UTC
A little warning: I tried to use Windmill 1.6 and I found it not running properly.

https://github.com/windmill/windmill/issues/82

I think you should Require pyOpenSSL to allow for https.

Comment 2 Jiri Moskovcak 2012-03-08 09:27:58 UTC
Doesn't build in koji (F16, F17, F18):

<snip>

+ cp -r /usr/lib/python2.7/site-packages/trac .
cp: cannot stat `/usr/lib/python2.7/site-packages/trac': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.wUMDjx (%check)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.wUMDjx (%check)

</snip>

Comment 3 Jiri Moskovcak 2012-03-08 10:14:29 UTC
- the problem is in %check and adding trac to build requires should fix it

Comment 4 Karel Klíč 2012-03-08 11:38:47 UTC
Spec URL: http://kklic.fedorapeople.org/python-windmill.spec
SRPM URL: http://kklic.fedorapeople.org/python-windmill-1.7-0.2.git4304ee7.fc16.src.rpm

* Thu Mar  8 2012 Karel Klíč <kklic@redhat.com> - 1.7-0.2.git4304ee7
- Added trac to build dependencies (%%check works now)

Comment 5 Jiri Moskovcak 2012-03-08 12:43:37 UTC
OK: rpmlint must be run on the source rpm and all binary rpms the build
produces. The output should be posted in the review.
-  W: invalid-url Source0: - it's a git snapshot, url is provided in comment
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. [2] .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines . - ASF 2.0
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.[4]
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
N/A: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A: Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun. [10]
OK: Packages must NOT bundle copies of system libraries.[11]
N/A: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation
of that specific package. Without this, use of Prefix: /usr is considered a
blocker.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory.
OK: A Fedora package must not list a file more than once in the spec file's
%files listings.
OK: Permissions on files must be set properly. Executables should be set with
executable permissions, for example.
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissable content. [17]
N/A: Large documentation files must go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present. [18]
 - NOTE: please consider adding a subpackage -doc containing the tutorial (not
a review requirement)
N/A: Static libraries must be in a -static package. [19]
N/A: Development files must be in a -devel package. [20]
N/A: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} =
%{version}-%{release} [21]
OK: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.[19]
N/A: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
[22]
OK: Packages must not own files or directories already owned by other packages.
The rule of thumb here is that the first package to be installed should own the
files or directories that other packages may rely upon. This means, for
example, that no package in Fedora should ever share ownership with any of the
files or directories owned by the filesystem or man package. If you feel that
you have a good reason to own a file or directory that another package owns,
then please present that at package review time. [23]
OK: All filenames in rpm packages must be valid UTF-8.

= SHOULD =
- man pages are missing (man windmill)
- I'm not sure about the python- prefix in the package name I always considered
the python- prefix to mark the python bindings not a pure python application
(e.g Django, deluge, bugzilla), but can't find any policy about that
- I tried to use it, but 2 out of 3 times the "Play All" failed, but that might have been just the lack of knowledge on my side..

Comment 6 Karel Klíč 2012-03-09 09:12:43 UTC
(In reply to comment #5)
> - man pages are missing (man windmill)
> - I'm not sure about the python- prefix in the package name I always considered
> the python- prefix to mark the python bindings not a pure python application
> (e.g Django, deluge, bugzilla), but can't find any policy about that

Windmill is pretty Python-centric, as it contains interactive Python shell, the tests can be written in Python or JavaScript, and tests recorded by the GUI are stored in Python as well.

Django, which is similar to Windmill (it's a framework used by Python applications), is being renamed to python-django:

https://bugzilla.redhat.com/show_bug.cgi?id=737293

http://lists.fedoraproject.org/pipermail/python-devel/2012-January/thread.html


> - I tried to use it, but 2 out of 3 times the "Play All" failed, but that might
> have been just the lack of knowledge on my side..

The timeouts of operations must be increased in the recorded sequence.

Comment 7 Jiri Moskovcak 2012-03-09 12:17:51 UTC
- ok, fair enough

Comment 8 Karel Klíč 2012-03-14 10:44:32 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: python-windmill
Short Description: A web application testing framework
Owners: kklic
Branches: f16 f17 el6
InitialCC:

Comment 9 Gwyn Ciesla 2012-03-14 12:26:37 UTC
Git done (by process-git-requests).

Jiri, please take ownership of review BZs.  Thanks!

Comment 10 Fedora Update System 2012-03-15 09:56:58 UTC
python-windmill-1.7-0.2.git4304ee7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-windmill-1.7-0.2.git4304ee7.fc17

Comment 11 Fedora Update System 2012-03-15 09:57:05 UTC
python-windmill-1.7-0.2.git4304ee7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-windmill-1.7-0.2.git4304ee7.el6

Comment 12 Fedora Update System 2012-03-15 09:57:12 UTC
python-windmill-1.7-0.2.git4304ee7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-windmill-1.7-0.2.git4304ee7.fc16

Comment 13 Fedora Update System 2012-03-19 20:01:04 UTC
python-windmill-1.7-0.2.git4304ee7.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2012-03-31 03:12:21 UTC
python-windmill-1.7-0.2.git4304ee7.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-04-05 03:05:45 UTC
python-windmill-1.7-0.2.git4304ee7.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2012-04-12 03:26:20 UTC
python-windmill-1.7-0.2.git4304ee7.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.